itpp::Timer Class Referenceabstract
Base Module » Timers

A virtual base class for timers. More...

`#include <itpp/base/timing.h>`

Inheritance diagram for itpp::Timer:

## Public Member Functions

| Timer ()
| Create a new timer. Sets the time to zero.
virtual | ~Timer ()
| Virtual destructor.
void | start (void)
| Start the timer. This does not set the time to zero.
double | stop (void)
| Stop the timer. Returns the elapsed time in seconds.
void | reset (double t=0.0)
| Sets the time to time t, which is zero by default. Stops the timer if it is running.
void | tic (void)
| Resets the timer and starts it.
double | toc (void)
| Returns the elapsed time since last tic()
void | toc_print (void)
| Prints the elapsed time since last tic()
double | get_time () const
| Returns the elapsed time.

## Protected Member Functions

virtual double | get_current_time () const =0
| Vitrual function that returns teh current time.

## Protected Attributes

double | start_time
| The start time of the timer.
double | stop_time
| The stop time of the timer.
double | elapsed_time
| The ellapsed time from start to stop.
bool | running
| A bool that indicates if the timer is running or not.

## Detailed Description

A virtual base class for timers.

Definition at line 45 of file timing.h.

The documentation for this class was generated from the following files:

- itpp/base/timing.h
- itpp/base/timing.cpp

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1